"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListPublicKeysInput_1 = require("../shapes/ListPublicKeysInput");
var ListPublicKeysOutput_1 = require("../shapes/ListPublicKeysOutput");
var InvalidTimeRangeException_1 = require("../shapes/InvalidTimeRangeException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var OperationNotPermittedException_1 = require("../shapes/OperationNotPermittedException");
var InvalidTokenException_1 = require("../shapes/InvalidTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListPublicKeys = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListPublicKeys",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListPublicKeysInput_1.ListPublicKeysInput
    },
    output: {
        shape: ListPublicKeysOutput_1.ListPublicKeysOutput
    },
    errors: [
        {
            shape: InvalidTimeRangeException_1.InvalidTimeRangeException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: OperationNotPermittedException_1.OperationNotPermittedException
        },
        {
            shape: InvalidTokenException_1.InvalidTokenException
        }
    ]
};
//# sourceMappingURL=ListPublicKeys.js.map