"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutEventSelectorsInput_1 = require("../shapes/PutEventSelectorsInput");
var PutEventSelectorsOutput_1 = require("../shapes/PutEventSelectorsOutput");
var TrailNotFoundException_1 = require("../shapes/TrailNotFoundException");
var InvalidTrailNameException_1 = require("../shapes/InvalidTrailNameException");
var InvalidHomeRegionException_1 = require("../shapes/InvalidHomeRegionException");
var InvalidEventSelectorsException_1 = require("../shapes/InvalidEventSelectorsException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var OperationNotPermittedException_1 = require("../shapes/OperationNotPermittedException");
var NotOrganizationMasterAccountException_1 = require("../shapes/NotOrganizationMasterAccountException");
var InsufficientDependencyServiceAccessPermissionException_1 = require("../shapes/InsufficientDependencyServiceAccessPermissionException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutEventSelectors = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutEventSelectors",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutEventSelectorsInput_1.PutEventSelectorsInput
    },
    output: {
        shape: PutEventSelectorsOutput_1.PutEventSelectorsOutput
    },
    errors: [
        {
            shape: TrailNotFoundException_1.TrailNotFoundException
        },
        {
            shape: InvalidTrailNameException_1.InvalidTrailNameException
        },
        {
            shape: InvalidHomeRegionException_1.InvalidHomeRegionException
        },
        {
            shape: InvalidEventSelectorsException_1.InvalidEventSelectorsException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: OperationNotPermittedException_1.OperationNotPermittedException
        },
        {
            shape: NotOrganizationMasterAccountException_1.NotOrganizationMasterAccountException
        },
        {
            shape: InsufficientDependencyServiceAccessPermissionException_1.InsufficientDependencyServiceAccessPermissionException
        }
    ]
};
//# sourceMappingURL=PutEventSelectors.js.map