"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RemoveTagsInput_1 = require("../shapes/RemoveTagsInput");
var RemoveTagsOutput_1 = require("../shapes/RemoveTagsOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var CloudTrailARNInvalidException_1 = require("../shapes/CloudTrailARNInvalidException");
var ResourceTypeNotSupportedException_1 = require("../shapes/ResourceTypeNotSupportedException");
var InvalidTrailNameException_1 = require("../shapes/InvalidTrailNameException");
var InvalidTagParameterException_1 = require("../shapes/InvalidTagParameterException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var OperationNotPermittedException_1 = require("../shapes/OperationNotPermittedException");
var NotOrganizationMasterAccountException_1 = require("../shapes/NotOrganizationMasterAccountException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveTags = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveTags",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemoveTagsInput_1.RemoveTagsInput
    },
    output: {
        shape: RemoveTagsOutput_1.RemoveTagsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: CloudTrailARNInvalidException_1.CloudTrailARNInvalidException
        },
        {
            shape: ResourceTypeNotSupportedException_1.ResourceTypeNotSupportedException
        },
        {
            shape: InvalidTrailNameException_1.InvalidTrailNameException
        },
        {
            shape: InvalidTagParameterException_1.InvalidTagParameterException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: OperationNotPermittedException_1.OperationNotPermittedException
        },
        {
            shape: NotOrganizationMasterAccountException_1.NotOrganizationMasterAccountException
        }
    ]
};
//# sourceMappingURL=RemoveTags.js.map